Subject: [netlmm] The term LMA

From: Basavaraj Patil <[email-masked]>
Date: Wed, 09 May 2007 23:13:57 -0500

Hello,

The terminology that we have in the current PMIP6 I-D
<draft-ietf-netlmm-proxymip6-00.txt> w.r.t LMA is not entirely
accurate. 

LMA definition as per the I-D is:
"
      Local Mobility Anchor is the home agent for the mobile node in the
      Proxy Mobile IPv6 domain.  It is the topological anchor point for
      the mobile node's home prefix and is the entity that manages the
      mobile node's reachability state.  It is important to understand
      that the LMA has the functional capabilities of a home agent as
      defined in Mobile IPv6 base specification [RFC-3775] and with the
      additional required capabilities for supporting Proxy Mobile IPv6
      as defined in this specification.
"

The protocol solution being discussed focuses on localized
mobility. However this protocol also works equally well for the global
mobility of the host. The term local mobility agent gives the
perception that this entity is responsible only for local mobility and
global mobility (if applicable) would be managed by a MIP6 HA. While
this deployment model is feasible, it is equally feasible to manage
global mobility of the host with the same protocol (as long as certain
assumptions about Proxy MIP capability in the access router that a
host attaches to exist).

IMO, we should change the LMA term to what it really is, an HA. If the
HA is used in the context of localized mobility, it MAY be refered to
as an LMA. But if it is providing global mobility, then it is just an
HA. And since there really is no difference in the functionality of
these entities, it would be better to just refer to it as HA.
A PMIP6 HA = MIP6 HA + DSMIP6 capabilities + PMIP6 enhancements

-Raj

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "Gerardo Giaretta" <[email-masked]>
Date: Thu, 10 May 2007 17:11:39 +0200

Hi Raj,

I disagree with this, mainly for two reasons.

Based on the charter NETLMM is developing PMIP as a localized mobility
management protocol. Some other SDOs may use it as global mobility
management protocol, but we need to keep that in mind: therefore, I
would like to have this reflected in the anchor name.

Secondly, I think a different name for the PMIP anchor (i.e. LMA) is
very useful when you start working on MIP6/PMIP6 mixed scenario where
LMA may or may not be co-located with the MIP6 HA.

Gerardo

---

From: Basavaraj Patil <[email-masked]>
Date: Thu, 10 May 2007 10:24:16 -0500

Hi Gerardo,

> would like to have this reflected in the anchor name.

Do you agree that the protocol as specified today can be used for global
mobility as well?
Why do we portray the work done as specifically being applicable only to
local mobility? The protocol can be used to solve local mobility or global
mobility and its better to acknowledge that than sticking our heads in the
sand. 

> LMA may or may not be co-located with the MIP6 HA.

Irrespective of co-location (which IMO is not an issue really since this is
more of an implementation and deployment topic), I think what we have
defined today as the LMA is an HA. So why not just refer to it as an HA. Do
you believe the LMA is a specialized element being defined in Netlmm and the
PMIP6 WG? 

I think it makes sense to get the scope and terminology right at this stage
of the work in Netlmm.

-Raj

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Thu, 10 May 2007 08:38:44 -0700

Hello

Why don't we take a specific example? I have always found the
terms global mobility and local mobility very vague when 
applying to a particular SDO architecture.

For example lets take WiMAX. I guess WiMAX forum intends to 
use PMIPv6 between the CSN (where a home agent sits) and the 
ASN (where the ASN GW sits). The CSN would have the LMA 
functionality and the ASN gateway would have the MAG 
functionality. In this case, it is absurd calling the home 
agent-link functionality in the CSN, the LMA. :)

So I do agree with Raj.

Vijay

> -----Original Message-----
> From: Basavaraj Patil [mailto:[email-masked]] 
> Sent: Thursday, May 10, 2007 8:24 AM
> To: Giaretta Gerardo
> Cc: [email-masked]
> Subject: Re: [netlmm] The term LMA
> 
> 
> Hi Gerardo,
> 
>

---

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Thu, 10 May 2007 12:06:35 -0400

Another example is 3GPP SAE where mobility over S2a/b and S8 interfaces
will be based on PMIP6 protocol. These interfaces will be used for
global mobility. 

So, there are plenty of examples where PMIP6 is applicable to global
mobility as well. Hence, I would agree with Raj's proposal to rename LMA
to HA.

BR,
Kuntal

> From: Vijay Devarapalli [mailto:[email-masked]]
> Sent: Thursday, May 10, 2007 10:39 AM
> To: Basavaraj Patil; Giaretta Gerardo
> Cc: [email-masked]
> Subject: RE: [netlmm] The term LMA
> 
> Hello
>

---

From: "Sri Gundavelli" <[email-masked]>
Date: Thu, 10 May 2007 09:16:02 -0700

Code-reuse was the main argument for choosing MIP6 protocol
for solving the NETLMM problem. As a vendor or as a customer,
one would like to see a single functional entity that can with
certain feature differences be deployed for supporting network-based
or client-based mobility. It is the same hardware, same code base,
(minor feature additions) and so the same box that provides this
functionality. So, it makes lot of sense to use the same home
agent term when we refer to this entity. If the direction is to
make this entity some thing special that is never seen outside the
NETLMM scope, is a wrong notion and is a restricted view of
network-based mobility. I agree with Raj, its not too late, lets
fix this, else we will pay heavy price, every extension that we
define for MIP6, we need to ratify for LMA and is not making sense
to me. I AGREE with Raj's proposal.

Sri

> Sent: Thursday, May 10, 2007 8:39 AM

---

From: "Wassim Haddad \(KI/EAB\)" <[email-masked]>
Date: Thu, 10 May 2007 14:31:15 -0400

Hi,

Can you please take 3GPP as just another example and apply
your reasoning? (Just for clarification)

Wassim H.

-----Original Message-----
From: Vijay Devarapalli [mailto:[email-masked]]
Sent: Thu 5/10/2007 11:38 AM
To: Basavaraj Patil; Giaretta Gerardo
Cc: [email-masked]
Subject: RE: [netlmm] The term LMA
 
Hello

So I do agree with Raj.

Vijay

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Thu, 10 May 2007 11:36:19 -0700

Kuntal did. PMIPv6 is being specfied for S5b, S8b, S2a and S2b 
reference points in 3GPP SAE architecture.

Vijay 

> From: Wassim Haddad (KI/EAB) [mailto:[email-masked]] 
> Sent: Thursday, May 10, 2007 11:31 AM
> To: Vijay Devarapalli; Basavaraj Patil; Giaretta Gerardo
> Cc: [email-masked]; Wassim Haddad (KI/EAB)

---

From: "Wassim Haddad \(KI/EAB\)" <[email-masked]>
Date: Thu, 10 May 2007 14:38:14 -0400

Just saw it! Thanks

Wassim H.

-----Original Message-----
From: Vijay Devarapalli [mailto:[email-masked]]
Sent: Thu 5/10/2007 2:36 PM
To: Wassim Haddad (KI/EAB); Basavaraj Patil; Giaretta Gerardo
Cc: [email-masked]
Subject: RE: [netlmm] The term LMA

Vijay

---

From: Basavaraj Patil <[email-masked]>
Date: Thu, 10 May 2007 13:41:18 -0500

Wassim,

I don't think we want to delve into the details of the 3GPP-SAE architecture
on the ML. Suffice it to say that the applicability of PMIP6 in the 3GPP
architecture is for global mobility. And as Kuntal/Vijay said this is
essentially on the S2 (and variants), S5, S8 interfaces if you want to get
more specific.

-Raj

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Thu, 10 May 2007 14:03:43 -0500

Hi Raj,

I guess it goes without saying:) 
But just in case; I agree.

Regards,
Ahmad

> Sent: Wednesday, May 09, 2007 11:14 PM
> To: [email-masked]
> Subject: [netlmm] The term LMA
> 
> 
> Hello,
> 
> <draft-ietf-netlmm-proxymip6-00.txt> w.r.t LMA is not 
> entirely accurate. 
> 
> mobility. However this protocol also works equally well for 
> the global mobility of the host. The term local mobility 
> agent gives the perception that this entity is responsible 
> only for local mobility and global mobility (if applicable) 
> would be managed by a MIP6 HA. While this deployment model is 
> feasible, it is equally feasible to manage global mobility of 
> the host with the same protocol (as long as certain 
> assumptions about Proxy MIP capability in the access router 
> that a host attaches to exist).
> 
> IMO, we should change the LMA term to what it really is, an 
> HA. If the HA is used in the context of localized mobility, 
> it MAY be refered to as an LMA. But if it is providing global 
> mobility, then it is just an HA. And since there really is no 
> difference in the functionality of these entities, it would 
> be better to just refer to it as HA.

---

From: "Alper Yegin" <[email-masked]>
Date: Thu, 10 May 2007 23:35:24 +0300

What's the definition of "local" and "global" anyways?!?

I agree with Raj.

> From: Chowdhury, Kuntal [mailto:[email-masked]]
> Sent: Thursday, May 10, 2007 7:07 PM

---

From: Ashutosh Dutta <[email-masked]>
Date: Thu, 10 May 2007 16:40:25 -0400

I also agree with Raj here. HA and PMA are probably the way to go to 
avoid confusion for PMIP. Functionality of HA will depend upon what kind 
of mobility function (e.g., CMIP, PMIP) one is using. I think we still 
need to figure out the extent of overlapping between CMIPv6 HA and 
PMIPV6 HA, or whether CMIPv6 HA is a subset of PMIPv6 HA or vice-versa.

Thanks
Ashutosh

---

From: "Tsirtsis, George" <[email-masked]>
Date: Thu, 10 May 2007 13:52:29 -0700

Raj et.al., 

I find a bit strange the idea of changing the scope of this working
group from "local" to "global" mobility simply by changing the name of
one element.

If this discussion is indeed about changing the scope of this work, from
local to global mobility, I would suggest that this requires:
- a change of name for this Working Group (which is still called
NETLMM); how is NETMM? Not us catchy, is it? ;-)... but more
importantly,
- a change in the charter of this WG which read "localized" in relation
to this work 16 times :-0 and makes clear that it should not interfere
with any Global Mobility Management protocols.

If we are going to have this discussion, lets by all means have it, but
please do not pretend that anything changes just by changing LMA to HA. 

BTW, with respect to the proposal to use the term HA, I have no
objection; in fact I prefer the term HA, as I preferred netlmm to be
based on MIPv6 and not to something else.

Best Regards
George
P.S.: Also, just for the record, 3GPP/SAE has decided to support both
PMIP and regular MIP for global mobility management (they are all
variants of the S2 interface).

-----Original Message-----
From: Basavaraj Patil [mailto:[email-masked]] 
Sent: Thursday, May 10, 2007 7:41 PM
To: ext Wassim Haddad (KI/EAB); Vijay Devarapalli; Giaretta Gerardo
Cc: [email-masked]
Subject: Re: [netlmm] The term LMA

Wassim,

I don't think we want to delve into the details of the 3GPP-SAE
architecture
on the ML. Suffice it to say that the applicability of PMIP6 in the 3GPP
architecture is for global mobility. And as Kuntal/Vijay said this is
essentially on the S2 (and variants), S5, S8 interfaces if you want to
get
more specific.

-Raj

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 10 May 2007 22:56:42 +0200

> What's the definition of "local" and "global" anyways?!?

HEre's my personal definition:

"global" mobility is when one absolutely positively needs to use tunnels
otherwise one threads the routes so much that they churn.

"local" mobility is when one can use route updates instead of tunnels,
without provoking that route churn; precisely because the route updates
are very "localized".

In that sense, tunnels are not needed in "local" mobility domains.

But that's just one oppinion, and is largely different than LTE and
WiMax designs where Mobile IP tunnels are unnecessarily and
overheadingly essential parts of local mobility domains.

> I agree with Raj.

Somehow yes, but one still needs to call that HA somehow an "enhanced"
HA... because it's not just a plain vanilla rfc3775-HA.  The PMIPv6-HA
should be able to work as a 3775-HA when the MN sends the BU (not the AR).

In my oppinion there is currently no other enhancement to 3775-HA that
needed to call it differently than a 3775-HA.  Hence our problem...

Alex

> 
>> -----Original Message----- From: Chowdhury, Kuntal
>> [mailto:[email-masked]] Sent: Thursday, May 10,
>> 2007 7:07 PM To: Vijay Devarapalli; Basavaraj Patil; Giaretta
>> Gerardo Cc: [email-masked] Subject: RE: [netlmm] The term LMA
>> 
>> Another example is 3GPP SAE where mobility over S2a/b and S8
>> interfaces will be based on PMIP6 protocol. These interfaces will
>> be used for global mobility.
>> 
>> So, there are plenty of examples where PMIP6 is applicable to
>> global mobility as well. Hence, I would agree with Raj's proposal
>> to rename LMA to HA.
>> 
>> BR, Kuntal
>> 
>> 
>>> -----Original Message----- From: Vijay Devarapalli
>>> [mailto:[email-masked]] Sent: Thursday, May 10,
>>> 2007 10:39 AM To: Basavaraj Patil; Giaretta Gerardo Cc:
>>> [email-masked] Subject: RE: [netlmm] The term LMA
>>> 
>>> Hello
>>> 
>>> terms global mobility and local mobility very vague when applying
>>> to a particular SDO architecture.
>>> 
>>> For example lets take WiMAX. I guess WiMAX forum intends to use
>>> PMIPv6 between the CSN (where a home agent sits) and the ASN
>>> (where the ASN GW sits). The CSN would have the LMA functionality
>>> and the ASN gateway would have the MAG functionality. In this
>>> case, it is absurd calling the home agent-link functionality in
>>> the CSN, the LMA. :)
>>> 
>>> So I do agree with Raj.
>>> 
>>> Vijay
>>> 
>>>> -----Original Message----- From: Basavaraj Patil
>>>> [mailto:[email-masked]] Sent: Thursday, May 10, 2007
>>>> 8:24 AM To: Giaretta Gerardo Cc: [email-masked] Subject: Re:
>>>> [netlmm] The term LMA
>>>> 
>>>> 
>>>> Hi Gerardo,
>>>> 
>>>> 
>>>> On 5/10/07 10:11 AM, "ext Gerardo Giaretta" 
>>>> <[email-masked]> wrote:
>>>> 
>>>>> Hi Raj,
>>>>> 
>>>>> management protocol. Some other SDOs may use it as global
>>>>> mobility management protocol, but we need to keep that in
>>>>> mind: therefore,
>> I
>>>> Do you agree that the protocol as specified today can be used 
>>>> for global mobility as well? Why do we portray the work done as
>>>> specifically being applicable only to local mobility? The
>>>> protocol can be used to solve local mobility or global mobility
>>>> and its better to acknowledge that than sticking our heads in
>>>> the sand.
>>>> 
>>>>> Secondly, I think a different name for the PMIP anchor (i.e.
>>>>> LMA)
>> is
>>>> Irrespective of co-location (which IMO is not an issue really 
>>>> since this is more of an implementation and deployment topic),
>>>> I think what we
>> have
>>>> defined today as the LMA is an HA. So why not just refer to it
>>>> as an HA. Do you believe the LMA is a specialized element being
>>>> defined in Netlmm and the PMIP6 WG?
>>>> 
>>>> I think it makes sense to get the scope and terminology right 
>>>> at this stage of the work in Netlmm.
>>>> 
>>>> -Raj
>>>> 
>>>>> Gerardo
>>>>> 
>>>>>> LMA definition as per the I-D is: " Local Mobility Anchor
>>>>>> is the home agent for the
>>>> mobile node in the
>>>>>> as defined in this specification. "
>>>>>> 
>>>>>> mobility of the host. The term local mobility agent gives
>>>>>> the perception that this entity is responsible only for
>>>>>> local
>>>> mobility and
>>>>>> this deployment model is feasible, it is equally feasible
>>>>>> to
>> manage
>>>>>> that
>> a
>>>>>> HA. And since there really is no difference in the
>>>>>> functionality
>> of
>>>>>> these entities, it would be better to just refer to it as
>>>>>> HA. A PMIP6 HA = MIP6 HA + DSMIP6 capabilities + PMIP6
>>>>>> enhancements
>>>>>> 
>>>>>> -Raj
>>>>>> 
>>>>>> 
>>>>>> _______________________________________________ netlmm
>>>>>> mailing list [email-masked] 
>>>> _______________________________________________ netlmm mailing
>>>> list [email-masked] 
>>> _______________________________________________ netlmm mailing
>>> list [email-masked] 
>> _______________________________________________ netlmm mailing list
>>  [email-masked] https://www1.ietf.org/mailman/listinfo/netlmm
> 
> 
> _______________________________________________ netlmm mailing list 
> [email-masked] https://www1.ietf.org/mailman/listinfo/netlmm
> 

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Thu, 10 May 2007 14:15:22 -0700

The earlier proposal was to call it a pHA (PMIPv6 HA). This does
distinguish it from a Mobile IPv6 HA. Perhaps we could use that
again.

Vijay 

> From: Ashutosh Dutta [mailto:[email-masked]] 
> Sent: Thursday, May 10, 2007 1:40 PM
> To: Basavaraj Patil
> Cc: [email-masked]
> to manage
> functionality of

---

From: "Alper Yegin" <[email-masked]>
Date: Fri, 11 May 2007 01:14:34 +0300

> In that sense, tunnels are not needed in "local" mobility domains.

I think this is debatable. Like how much churn is significant churn to cause
a decision change, what is the definition of "very localized" (I think you
almost got a recursive definition there :-)

> needed to call it differently than a 3775-HA.  Hence our problem...

A MIP4 HA may implement a number of extensions on top of the base MIP4 spec.
But we still call it an HA. Similarly, we call some other things a "router"
despite how many optional protocols they implement and differ from any other
"router." At a more detailed level, one needs to qualify an HA as the one
that implements RFC 3775 + RFCfoo + RFCbar....

Alper

---

From: "Narayanan, Vidya" <[email-masked]>
Date: Thu, 10 May 2007 17:19:32 -0700

Folks,
We have discussed this topic a few times now and seem to be revisiting
closed topics.  First, with respect to terminology, we should stick to
what's already in RFC4830 and RFC4831.  Second, with respect to scope of
this work, we are only chartered to work on network based "local"
mobility.  The charter is protocol agnostic and applies equally to PMIP
as it did to the NETLMM DT protocol.  While the scope of "local" and
"global" itself may be system-dependent, what this essentially means is
that this WG, in its current charter, is not going to be working on
solving any inter-domain security issues, etc.  If the required security
associations are feasible in a given system, the use of this protocol
would be feasible and that is a choice that would be made outside the
IETF.  It is not terminology that is going to determine the
applicability of this protocol.  

That said, the terminology reflecting the intended scope of the work is
a good thing.  We cannot claim that MIP and PMIP are equivalent in scope
or functionality for what we are chartered to do and just using
terminology to facilitate such claims seems incorrect.  Further, as has
been pointed out during our past discussions of this topic, for
architectures trying to use PMIP6 and MIP6 together in a hierarchical
fashion, the usage of the same terms causes quite a bit of confusion.  

So, let's not re-open terminology discussions now.  We should focus on
getting the protocol design right.  

Thanks,
Vidya

---

From: Basavaraj Patil <[email-masked]>
Date: Thu, 10 May 2007 19:56:39 -0500

George,

I am not trying to change the scope of the WG. I am just making an
observation of the fact that the protocol that we are developing is equally
applicable for global mobility. Because the scope of the WG is to develop a
protocol for local mobility, are we going to somehow place restrictions or
build limitations in the protocol that ensures that it is only used for
localized mobility? We are creating an artificial boundary and perception
that the protocol being developed has limited scope and applicability. What
I think makes sense is to simply recognize the protocol for what it is and
not limit its applicability or use simply because the charter of the WG says
it's scope is local mobility.
Other comments inline:

> group from "local" to "global" mobility simply by changing the name of

I don't think that changing the name of one element will change the scope of
the protocol. What I am suggesting here are two things:
1. The term LMA really does not make sense since the same element is equally
applicable in the global mobility solution as well. It is an HA (To use a
cliché: Call a spade a spade ;) )
2. The protocol as it is being developed now can be used for local or global
mobility. So lets recognize this instead of pretending that PMIP6 is only a
localized mobility solution and there needs to be something else for global
mobility. 

> with any Global Mobility Management protocols.

Well the charter is not set in stone, right? After all discussion and debate
in the WG unearths possible errors in scoping or possibly the requirements
have changed from the time the charter was written. So I would not be too
hung up on the wording of the charter or the name (Netlemmings was indeed
cool... Maybe the lemmings [The "L" in the name] have finally decided to
jump off the cliff :) ....

Also I don't see the current protocol interfering with any global mobility
protocol. When we say global mobility protocol, I guess what we are
implicitly refering to is MIP6 (RFC3775). So there are'nt many global
mobility protocols that this protocol solution should interfere with....

> please do not pretend that anything changes just by changing LMA to HA.

Oh.. Absolutely. I am just saying that we need to get the basic building
blocks right. Changing the term from LMA to HA is not going to change the
behavior or applicability of the protocol. What it does however do is
provide clarity about the funcationality of what the entity "LMA" is, i.e an
HA.

> based on MIPv6 and not to something else.

Excellent... 

-Raj
> variants of the S2 interface).

Sure.. That's true. But on S5 you can either use GTP or PMIP.

>>> for global
>>> since this is

---

From: Basavaraj Patil <[email-masked]>
Date: Thu, 10 May 2007 20:56:01 -0500

Hi Vidya,

I realize that this discussion on the terminology has occurred in the past.
But I honestly believe that we may be erring by defining terms that are
confusing to people and industry who are interested in using and deploying
this protocol. 
So it is worthwhile to reopen that dialog even if it means we have to
revisit the terminology defined in RFCs4830/1.

I can tell you that the customers of PMIP6 (in this case WiMAX) are confused
by the fact that the protocol being developed is constantly mentioned as
being a solution for localized mobility. Yes, it is true that other SDOs can
use the protocol in any manner they wish, i.e for local or global mobility
or for tunnel establishment and switching.. But I think the IETF can do a
better job of clearly documenting the applicability of the protocol. It is
in the Netlmm WGs interest to ensure that this protocol has a viable
opportunity of being deployed and used. If we keep arguing that the scope of
the charter is only limited to working on localized mobility and nothing
else and the protocol that is being developed is a solution for local
mobility only and cannot be used for global mobility, then we are sending
the wrong message. There are many scenarios in which this protocol would no
longer be considered.

On 5/10/07 7:19 PM, "ext Narayanan, Vidya" <[email-masked]> wrote:

> solving any inter-domain security issues, etc.

I don't think we need to work on inter-domain security issues at all in the
scope of PMIP6. I think the protocol as defined today can be used for global
mobility without having to do anything with inter-domain security.

> If the required security

Terminology obviously is not determining the applicability of the protocol.
However terminology can cause harm (as a result of misunderstanding or
confusion) to the applicability of the protocol. When someone who is not
closely following this work reads this document or WG charter, I am not sure
they would consider this spec as being applicable to a global mobility
deployment requirement.

> fashion, the usage of the same terms causes quite a bit of confusion.

I think refering to an HA as an LMA in some deployment scope and something
else in another scope is a mistake. What would you call an LMA which is
essentially providing global mobility for an MN? An HA.

> getting the protocol design right.

If we do not discuss the termonology issue now, we would end up with the
same debate at a later time...(during reviews of WG LC etc.) So why not deal
with it now.

Cheers,
-Raj

---

From: Ashutosh Dutta <[email-masked]>
Date: Thu, 10 May 2007 22:56:10 -0400

I also agree that exploring PMIP's applicability to support global 
mobility (i.e., mobility between two PMIP domains) could be a viable 
solution for folks who would like to avoid MIP stack on the client 
altogether. That means, we may need to redefine the charter little bit 
to expand the scope of netlmm, but it is probably worth looking into 
this possibility.

Thanks
Ashutosh

---

From: "Gerardo Giaretta" <[email-masked]>
Date: Fri, 11 May 2007 05:43:22 +0200

Hi Raj,

> Do you agree that the protocol as specified today can be used for global

It depends on what you mean by global mobility. I think that PMIP may
not work well for inter-technology handover. For inter-domain
mobility, it depends on the security associations between the parties,
that is it really depends on the system aspects...nothing to do with
IETF, IMO.

> mobility and its better to acknowledge that than sticking our heads in the

I have been involved in NETLMM since its early proposal as a WG. From
the first version of both draft-kempf (requirements and problem
statement), there was a clear understanding between authors and BOF
attendees that the proposal was only targeted to local mobility
management.

This has been the assumption so far. And I would like to state that
the WG was approved only because of this restriction.

> you believe the LMA is a specialized element being defined in Netlmm and the

What about HMIPv6? Isn't the MAP a HA? I think it is clear to
everybody that LMA is more or less a HA (with some differences
though). But this does not mean that we need to use the same terms:
PMIPv6 is different from MIPv6 and therefore it is cleaner to name
PMIPv6 anchor logical function with a different term.

And again, I think having the same term for MIPv6 HA and PMIPv6 LMA
would increase the complexity in describing mixed scenarios where PMIP
and MIP are used together.

Gerardo

---

From: Basavaraj Patil <[email-masked]>
Date: Thu, 10 May 2007 23:26:43 -0500

Hi Gerardo, 

On 5/10/07 10:43 PM, "ext Gerardo Giaretta" <[email-masked]>
wrote:

> not work well for inter-technology handover.

Raj> I don't think we are talking about handover at all in the even in the
scope of localized mobility. So I am at a loss here trying to figure out
what is the relation of inter-technology handover in the current discussion.
We talk about localized mobility within the scope of a PMIP domain. Nowhere
is it stated that a PMIP6 domain maps to a single access technology. Whether
PMIP works well, better or worse than anything else for inter-technology
handover really has no implication to the fact that it is a protocol that
can support localized mobility as well as global mobility. Personally I
think the terms used to define localized mobility management and global
mobility management as defined in RFC4830 are not expressive enough to
convey a clear meaning or demarcation.

> For inter-domain

Well... I don't know why you think there needs to be a security association
between the domains. A host could move across PMIP domains and be assigned
the same HA and HoA by the PMA in the target domain on completion of the
network access and attach procedure. Session continuity equivalent to MIP6
would be maintained. And in such a case there would be no security
association or relation between the two PMIP domains. The only thing that
would be common is the HA (or LMA) and the authentication engine which would
be the same for both PMIP domains.

> attendees that the proposal was only targeted to local mobility

Raj> I realize this... And I think you agree that PMIP6 is a protocol that
addresses the problem as per the charter. However it also does solve the
global mobility issue as well. And so I see no reason to not state it as
such. We are holding the charter as being sacred here and refusing to modify
it. I think the IETF is more flexible than what you may perceive it to be.

> the WG was approved only because of this restriction.

Raj> That's okay... Extending the scope will do no major harm or cause the
IESG to retract their approval of this WG :)

> What about HMIPv6? Isn't the MAP a HA?

Raj> Indeed... And I do not think that HMIP6 tries to cloak the MAP as being
anything else than an HA.

> I think it is clear to

Raj> I guess we disagree on this point.

> and MIP are used together.

Raj> This is a matter of defining the scope of mobility managed by the HA in
specific scenarios and need not be confusing.

-Raj

---

From: "Narayanan, Vidya" <[email-masked]>
Date: Thu, 10 May 2007 22:38:20 -0700

Hi Raj,
The IETF did look at this work space and make a conscious decision that
the applicability of a network-based mobility management protocol is
only appropriate for local mobility.  So, this charter has been scoped
to what was believed to be appropriate.  The intent was never to have
this protocol be applicable for all kinds of global mobility - the fact
that some systems may be considering this protocol for global mobility
is something they need to make a conscious decision on, keeping in mind
that the IETF is only developing this for local mobility. 

I also don't believe it is a simple charter revision involving removal
of the term "local".  If we had to recommend this protocol for use in
the same scope as MIP6, as seems to be the discussion, we will need to
tackle how cross-domain security associations can be practical and other
features that are feasible with MIP6 as the MN moves across various
domains and heterogeneous technologies.  Extending the scope is going to
require a number of other aspects to be flushed out and I don't believe
is appropriate at this time.  We need to deliver on the chartered work
before we can ask for more things and scope expansion.  

Regards,
Vidya

> Sent: Thursday, May 10, 2007 6:56 PM
> To: Narayanan, Vidya; [email-masked]
> But I honestly believe that we may be erring by defining 
> terms that are confusing to people and industry who are 
> interested in using and deploying this protocol. 
> So it is worthwhile to reopen that dialog even if it means we 
> have to revisit the terminology defined in RFCs4830/1.
> 
> I can tell you that the customers of PMIP6 (in this case 
> WiMAX) are confused by the fact that the protocol being 
> developed is constantly mentioned as being a solution for 
> localized mobility. Yes, it is true that other SDOs can use 
> the protocol in any manner they wish, i.e for local or global 
> mobility or for tunnel establishment and switching.. But I 
> think the IETF can do a better job of clearly documenting the 
> applicability of the protocol. It is in the Netlmm WGs 
> interest to ensure that this protocol has a viable 
> opportunity of being deployed and used. If we keep arguing 
> that the scope of the charter is only limited to working on 
> localized mobility and nothing else and the protocol that is 
> being developed is a solution for local mobility only and 
> cannot be used for global mobility, then we are sending the 
> wrong message. There are many scenarios in which this 
> protocol would no longer be considered.
> 
> 
> > what's already in RFC4830 and RFC4831.  Second, with 
> respect to scope 
> > of this work, we are only chartered to work on network based "local"
> > mobility.  The charter is protocol agnostic and applies equally to 
> > PMIP as it did to the NETLMM DT protocol.  While the scope 
> of "local" 
> > and "global" itself may be system-dependent, what this essentially 
> > means is that this WG, in its current charter, is not going to be 
> > working on solving any inter-domain security issues, etc.
> 
> I don't think we need to work on inter-domain security issues 
> at all in the scope of PMIP6. I think the protocol as defined 
> today can be used for global mobility without having to do 
> anything with inter-domain security.
> 
> > If the required security
> confusion) to the applicability of the protocol. When someone 
> who is not closely following this work reads this document or 
> WG charter, I am not sure they would consider this spec as 
> being applicable to a global mobility deployment requirement.
> 
> > 
> > That said, the terminology reflecting the intended scope of 
> the work 
> > is a good thing.  We cannot claim that MIP and PMIP are 
> equivalent in 
> > scope or functionality for what we are chartered to do and 
> just using 
> > terminology to facilitate such claims seems incorrect.  Further, as 
> > has been pointed out during our past discussions of this topic, for 
> I think refering to an HA as an LMA in some deployment scope 
> and something else in another scope is a mistake. What would 
> you call an LMA which is essentially providing global 
> mobility for an MN? An HA.
> 
> If we do not discuss the termonology issue now, we would end 
> up with the same debate at a later time...(during reviews of 
> WG LC etc.) So why not deal with it now.
> 
> Cheers,
> -Raj
> 
> > 
> > Thanks,
> > Vidya
> >

---

From: Conny Larsson <[email-masked]>
Date: Fri, 11 May 2007 10:05:55 +0200

Hi Vidya and Raj,

Although I agree with Raj that there is a confusion among the potential 
customers of PMIP6 as they intend to use PMIP in a global scope whereas 
the intention of this working group is to use it for local mobility.

However, if the PMIP6 protocol is going to be used for global mobility I 
believe there are issues that needs to be solved. One that comes to my 
mid is how to solve route optimization in PMIP6. There are others, Vidya 
mentioned one, and I'm sure other people will find additional issues 
that needs to be looked into.

For the SDO's I assume that they have to decide the applicability of the 
PMIP6 protocol based on the current scope of PMIP6. If the SDO's would 
like to use it for global mobility (which I agree is possible) they have 
to consider potential trade offs when making the decision.

/Conny

---

From: "KASSI-LAHLOU Mohammed RD-CORE-CAE" <[email-masked]>
Date: Fri, 11 May 2007 10:33:16 +0200

Hi,
 
Local/global is a relativity question and depends on what we understand by local and global. IMHO, if a MAG can play MAG function for a host and an LMA can play LMA function for the MAG requests concerning this host then we can call this a local mobility management if not we need an other level of mobility management which will be called global.

I do not think that a 3G network will manage the mobility of a terminal inside an enterprise private network or that a private network can manage the mobility inside an operator's network.

Kassi

________________________________

De : Conny Larsson [mailto:[email-masked]] 
Envoyé : vendredi 11 mai 2007 10:06
À : Narayanan, Vidya; Basavaraj Patil
Cc : [email-masked]
Objet : Re: [netlmm] The term LMA

Hi Vidya and Raj,

Although I agree with Raj that there is a confusion among the potential customers of PMIP6 as they intend to use PMIP in a global scope whereas the intention of this working group is to use it for local mobility.

However, if the PMIP6 protocol is going to be used for global mobility I believe there are issues that needs to be solved. One that comes to my mid is how to solve route optimization in PMIP6. There are others, Vidya mentioned one, and I'm sure other people will find additional issues that needs to be looked into.

For the SDO's I assume that they have to decide the applicability of the PMIP6 protocol based on the current scope of PMIP6. If the SDO's would like to use it for global mobility (which I agree is possible) they have to consider potential trade offs when making the decision.

/Conny

Narayanan, Vidya wrote: 

	Hi Raj,

	Regards,
	Vidya
	
	> On 5/10/07 7:19 PM, "ext Narayanan, Vidya"
	> <[email-masked]> <mailto:[email-masked]>  wrote:
	>
	> > Folks,